Subject: bug#18357: 24.3.93; Calendar not fully displayed

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Aug 2014 20:54:25 +0300

> Date: Sat, 30 Aug 2014 19:15:54 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > So I don't see how the above explanation could be relevant to the
>  > original issue.
> 
> I have no other one.  The scenarios differ in one point: In mine the
> mode lines of all windows are the same height, but
> `fit-window-to-buffer' doesn't know that height yet when it's executed.

Are you sure fit-window-to-buffer was called?  My reading of
calendar.el is that it isn't in this scenario.

> For Stephen's the estimate is for a non-selected window and `calendar'
> selects the window _after_ `fit-window-to-buffer' was executed.

See above: are you sure?

> If you have a better explanation, I'll be all ears.

I don't see what I need to explain.  From my POV, what we see here is
all normal, as I already explained in my original response to Stephen.

>  >> Note that we allow the font to change the height of the mode line which
>  >> may partially overwrite the last line(s) of the window text.  This seems
>  >> to backfire here
>  >
>  > I see no "backfire".  Emacs scrolls the window to make point fully
>  > visible, that's all.
> 
> It backfires because `fit-window-to-buffer' can't make the window tall
> enough since it doesn't yet know how large the mode line will be.  And
> since it never will be clairvoyant enough to know which window will be
> selected, I see no chance to reliably fix Stephen's scenario.

Then you agree with me: there's no problem here, just normal reaction
to the fact that point entered a partially visible line.